Bug 165418 - use --remove-comment in find-debuginfo.sh
Summary: use --remove-comment in find-debuginfo.sh
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-09 06:06 UTC by Roland McGrath
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-25 15:19:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to find-debuginfo.sh (739 bytes, patch)
2005-08-09 06:06 UTC, Roland McGrath
no flags Details | Diff

Description Roland McGrath 2005-08-09 06:06:09 UTC
Description of problem:

brp-strip-comment removes .comment sections later in the rpm build process,
and their data is lost completely.  eu-strip will preserve these in the .debug
files in the -debuginfo rpm if given the --remove-comment switch.

The attached patch makes find-debuginfo.sh pass the switch.

Version-Release number of selected component (if applicable):
4.4.2-3

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Roland McGrath 2005-08-09 06:06:09 UTC
Created attachment 117566 [details]
patch to find-debuginfo.sh

Comment 2 Jeff Johnson 2005-08-25 15:19:16 UTC
Added to rpm-4_4 cvs, should be in rpm-4.4.3-0.4 when built. Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.